List teams and member counts
GET
/teams
const url = 'https://api.muninx.com/teams';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.muninx.com/teams \ --header 'Authorization: Bearer <token>'Admins and agents can list teams in their current tenant. Counts include active, pending, and suspended memberships.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Teams in the current tenant
Media type application/json
object
teams
required
Array<object>
object
id
required
Immutable tenant-scoped team ID.
string
name
required
string
description
required
string
avatar
Avatar URL, present after upload.
string
created-at
required
string format: date-time
updated-at
required
string format: date-time
member-count
required
Number of assigned tenant memberships, including pending and suspended members.
integer
Example generated
{ "teams": [ { "id": "example", "name": "example", "description": "example", "avatar": "example", "created-at": "2026-04-15T12:00:00Z", "updated-at": "2026-04-15T12:00:00Z", "member-count": 1 } ]}Invalid tenant ID
Missing or invalid bearer token
Role is not permitted
Unable to retrieve teams or member counts